View Issue Details

IDProjectCategoryView StatusLast Update
0005142SOGoWeb Mailpublic2020-09-10 07:50
Reportermthld Assigned Tofrancis  
PriorityurgentSeverityblockReproducibilityalways
Status resolvedResolutionfixed 
PlatformServerOSDebianOS Version10.9
Product Version5.0.0 
Fixed in Version5.0.1 
Summary0005142: Cannot reply or transfert some emails
Description

Hi,

5.0.0 introduced a bug where we cannot reply or transfer some emails received from various senders.
Here is the logs from sogod when we try to reply:

[119]: XXX.YYY.AAA.BBB "GET /SOGo/so/REDACTED@some.domain/Mail/UIxMailEditor HTTP/1.0" 200 3265/0 0.007 15295 78% 0 - 13
10:07:32.706 sogod[113:113] EXCEPTION: <NSException: 0x56433a6eaa00> NAME:NSInvalidArgumentException REASON:[GSMutableString -compare:options:range:] nil string argument INFO:(null)

Here is the raw source of an incriminated email we can't answer: https://gist.github.com/mthld/90dc62d77041df9e933a557cb62d3bec

Thanks in advance for your help.

Steps To Reproduce
  1. Open the SOGo Mail panel
  2. Find an email in the list
  3. Open it, you can read it without problem
  4. Click the reply icon
  5. Nothing happens
Tagsgui, sogo, webmail

Relationships

related to 0005155 resolvedfrancis Request Failed when replying to Bcc message 

Activities

mthld

mthld

2020-08-25 04:36

reporter   ~0014723

In addition here is the logs from the dev console:

[Error] Failed to load resource: the server responded with a status of 501 () (reply, line 0) https://mail.clic2000.fr/SOGo/so/REDACTED@other.domain/Mail/0/folderINBOX/628/reply

mthld

mthld

2020-09-09 05:47

reporter   ~0014745

FYI still happening on a daily basis, impacting different email accounts on different servers

francis

francis

2020-09-09 15:13

administrator   ~0014746

See https://github.com/inverse-inc/sope/commit/579f73e6dec22f05f9e2a2e96f9d87e22b788419

Issue History

Date Modified Username Field Change
2020-08-25 04:20 mthld New Issue
2020-08-25 04:36 mthld Note Added: 0014723
2020-08-27 02:10 mthld Tag Attached: sogo
2020-08-27 02:10 mthld Tag Attached: gui
2020-08-27 02:10 mthld Tag Attached: webmail
2020-09-09 05:47 mthld Note Added: 0014745
2020-09-09 15:13 francis Assigned To => francis
2020-09-09 15:13 francis Status new => resolved
2020-09-09 15:13 francis Resolution open => fixed
2020-09-09 15:13 francis Fixed in Version => 5.0.1
2020-09-09 15:13 francis Note Added: 0014746
2020-09-10 07:50 francis Relationship added related to 0005155